#pragma once
#include "Bindable.h"
#include <wrl.h>
#include <d3d11.h>
#include <vector>
#include "Structs.h"

class VertexBuffer : public Bindable
{
public:
	VertexBuffer(Graphics& gfx, const std::vector<StructVertex>& vertices, Logger& logger);

	void Bind(Graphics& gfx, Logger& logger) noexcept override;
protected:
	UINT stride;
	Microsoft::WRL::ComPtr<ID3D11Buffer> pVertexBuffer;
};
